---
type: api
title: Update a parameter
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-parameter
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-put-parameter
products:
  - Kibana
---

# Update a parameter

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/synthetics/params/{id}`
- `PUT` `/s/{space_id}/api/synthetics/params/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The unique identifier for the parameter.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Update a parameter in the Synthetics app.
You must have `all` privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

## Request Body

`application/json`

The request body cannot be empty; at least one attribute is required.

- `description` (string) — optional
  The updated description of the parameter.
- `key` (string) — optional
  The key of the parameter.
- `tags` ([] string) — optional
  An array of updated tags to categorize the parameter.
- `value` (string) — optional
  The updated value associated with the parameter.

## Response

A successful response.

`application/json`

Type: `object`

## Code Examples

#### Console

```console
PUT /api/synthetics/params/{id}
{
  "key": "updated_param_key",
  "value": "updated-param-value",
  "description": "Updated Param to be used in browser monitor",
  "tags": ["authentication", "security", "updated"]
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/synthetics/params/{id}" \
  -H "Content-Type: application/json" \
  -d '{
  "key": "updated_param_key",
  "value": "updated-param-value",
  "description": "Updated Param to be used in browser monitor",
  "tags": ["authentication", "security", "updated"]
}'
```

## Response Examples

#### Put parameter response example1

```json
{
  "id": "param_id1",
  "key": "updated_param_key",
  "value": "updated-param-value",
  "description": "Updated Param to be used in browser monitor",
  "tags": ["authentication", "security", "updated"]
}
```

